pub fn parse_inner_node(inner_node: &str) -> String {
    let start = inner_node.find(">");
    let end = inner_node.rfind("<");

    let mut start_index = 0;
    let mut end_index = inner_node.len() - 1;

    if let Some(start) = start {
        start_index = start + 1;
    }

    if let Some(end) = end {
        let new_end = end.saturating_sub(1);

        if new_end >= start_index {
            end_index = new_end
        }
    }

    let inner_inner_node = &inner_node[start_index..=end_index];

    if inner_inner_node.contains("<") || inner_inner_node.contains(">") {
        return parse_inner_node(inner_inner_node);
    }

    inner_inner_node.to_string()
}

pub fn replace_html_codes(content: &str) -> String {
    content.replace("&nbsp;", " ")
}
